API referenceSharing
Make a read-only link
POST
Anyone with the URL can watch the session without signing in until it expires. The URL is shown only this once.
bearerheader
AuthorizationBearer <token>An API token
id*stringA session id
application/json- body
expiresInSeconds?integerDefault 7 days, at most 30
Range
1 <= valueThe link
application/json- response
linkId*stringrole*unknownexpiresAt*integerExpires (milliseconds since the epoch)
url*stringcurl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/links' \ -H 'Content-Type: application/json' \ -d '{ "expiresInSeconds": 86400}'Example Response
{ "linkId": "string", "role": "viewer", "expiresAt": 0, "url": "string"}